Your message dated Wed, 15 Feb 2012 17:47:21 +0000
with message-id <[email protected]>
and subject line Bug#652504: fixed in libshout 2.2.2-8
has caused the Debian Bug report #652504,
regarding libshout: Please convert libshout for multiarch
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)


-- 
652504: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=652504
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: libshout
Version: 2.2.2-6.1
Severity: normal
Tags: patch
User: [email protected]
Usertags: origin-ubuntu precise ubuntu-patch

Dear maintainers,

I've just updated the libshout package in Ubuntu to transition it to use of
the multiarch library paths as described at
<http://wiki.debian.org/Multiarch/Implementation>.  Since libshout is a
dependency of gstreamer-plugins-good, this is one of the last major bits
needed to have a multiarch-friendly wine package in Ubuntu; I presume it
will be useful to Debian for the same reason.

Converting the libshout package for multiarch was non-trivial for several
reasons.

 - dh-buildinfo is not multiarch-safe; using it generates library packages
   that are not co-installable, and cdbs wants to generate an unconditional
   build-dependency on this tool.
 - cdbs wants to generate a build-dependency on an older version of cdbs
   than the one required for multiarch support, which means the
   build-dependency has to be overridden
 - the package is using a forked version of d-shlibs that's bundled in the
   debian/ directory (this seems to be inherited from an upstream debian/
   directory, although the current version is source format 3, which ignores
   any debian/ directory in the upstream tarball); and this forked version
   of d-shlibs is missing various bugfixes, including support for multiarch.

So the patch is a bit large, and includes both dropping the forked d-shlibs
and disabling the cdbs build-deps autogeneration (since the autogeneration
isn't actually outputting anything correctly that autogeneration would be
useful for).  A corresponding changelog for this patch is:

  * Build for multiarch.
  * Drop use of dh-buildinfo, which is completely redundant with build logs
    and is not multiarch-safe.
  * Drop support for auto-generation of build-dependencies in debian/control,
    because cdbs wants to unconditionally add a build-dependency on the
    broken dh-buildinfo tool and use it if present.
  * Drop forked version of d-shlibs, as the single issue this fork was
    for (libspeex) is addressed upstream; and build-depend on
    d-shlibs (>= 0.48) for the --multiarch option.  Closes: #548625, #650546.
  * Remove the libshout.la file.

Removing libshout.la is not strictly related to multiarch, but multiarch
does require moving the .la file to the multiarch library directory from
/usr/lib.  As a result, any packages still referencing the .la file are
going to be broken by this change *anyway*, so it might as well be dropped
at the same time.  And according to
<http://release.debian.org/~aba/la/current.txt>, the only package which
still references libshout.la is freej, which is FTBFS and significantly
broken - so it doesn't make sense to wait for freej to be fixed before
switching to multiarch and dropping the .la file.

Thanks for considering the patch.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
[email protected]                                     [email protected]
=== modified file 'debian/control'
--- debian/control	2011-11-29 20:04:20 +0000
+++ debian/control	2011-12-17 20:28:11 +0000
@@ -6,19 +6,18 @@
  Guillaume Pellerin <[email protected]>,
  Romain Beauxis <[email protected]>,
  Ying-Chun Liu <[email protected]>
-Build-Depends: cdbs (>= 0.4.39),
+Build-Depends: cdbs (>= 0.4.93~),
  autotools-dev,
  devscripts (>= 2.10.7),
  quilt,
  patchutils (>= 0.2.25),
- debhelper (>= 6),
- dh-buildinfo,
+ debhelper (>= 8.1.3~),
  libogg-dev (>> 1.0.0),
  libvorbis-dev (>> 1.0.0),
  pkg-config,
  libtheora-dev (>> 0.0.0.alpha4),
  libspeex-dev,
- d-shlibs (>= 0.18)
+ d-shlibs (>= 0.48)
 Vcs-Git: git://git.debian.org/pkg-multimedia/libshout.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libshout.git
 Standards-Version: 3.9.1
@@ -27,6 +26,7 @@
 Package: libshout3-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libshout3 (= ${binary:Version}),
  ${devlibs:Depends},
  ${misc:Depends},
@@ -50,6 +50,8 @@
 Package: libshout3
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Description: MP3/Ogg Vorbis broadcast streaming library

=== removed file 'debian/control.in'
--- debian/control.in	2011-11-29 20:04:20 +0000
+++ debian/control.in	1970-01-01 00:00:00 +0000
@@ -1,46 +0,0 @@
-Source: libshout
-Section: libs
-Priority: optional
-Maintainer: Debian Multimedia Maintainers <[email protected]>
-Uploaders: Jonas Smedegaard <[email protected]>,
- Guillaume Pellerin <[email protected]>,
- Romain Beauxis <[email protected]>,
- Ying-Chun Liu <[email protected]>
-Build-Depends: @cdbs@
-Vcs-Git: git://git.debian.org/pkg-multimedia/libshout.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libshout.git
-Standards-Version: 3.9.1
-Homepage: http://www.icecast.org/
-
-Package: libshout3-dev
-Section: libdevel
-Architecture: any
-Depends: libshout3 (= ${binary:Version}),
- ${devlibs:Depends},
- ${misc:Depends},
- pkg-config
-Provides: libshout-dev
-Conflicts: libshout-dev
-Description: MP3/Ogg Vorbis broadcast streaming library (development)
- A library for communicating with and sending data to Icecast and Icecast 2
- streaming audio servers.  It handles the socket connection, the timing of
- the data transmission, and prevents bad data from getting to the server.
- .
- With just a few lines of code, a programmer can easily turn any application
- into a streaming source for an Icecast-based server.  Libshout also allows
- developers who want a specific feature set (database access, request taking)
- to concentrate on that feature set, instead of worrying about how server
- communication works.
- .
- This package contains the development headers, static libraries, and source
- code to an example program.
-
-Package: libshout3
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
-Description: MP3/Ogg Vorbis broadcast streaming library
- A library for communicating with and sending data to Icecast and Icecast 2
- streaming audio servers.  It handles the socket connection, the timing of
- the data transmission, and prevents bad data from getting to the server.

=== removed file 'debian/d-devlibdeps'
--- debian/d-devlibdeps	2011-11-29 20:04:20 +0000
+++ debian/d-devlibdeps	1970-01-01 00:00:00 +0000
@@ -1,163 +0,0 @@
-#!/bin/bash
-#   d-devlibdeps -- get list of build-time dependencies
-#   Copyright (C) 2002-2005 Junichi Uekawa
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-# 2002 May 3. Created.
-#   automatic depends line generator.
-
-set -e
-
-function getname () {
-    local SONAMELIBNAME
-    local SONAMEVERSION
-    local SONAME
-    SONAME="$1"
-    SONAMELIBNAME=$(echo $SONAME | sed 's/\.so\..*$//')
-    SONAMEVERSION=$(echo $SONAME | sed 's/^.*\.so\.//')
-    case "$SONAMELIBNAME" in
-	*[0-9])
-	    RETURN="$SONAMELIBNAME-$SONAMEVERSION"
-	    ;;
-	*)
-	    RETURN="$SONAMELIBNAME$SONAMEVERSION"
-	    ;;
-    esac
-}
-
-function overridedevlibdeps () {
-    # overrides necessary until the scheme is adopted.
-    sed \
-	-e 's/libX11-6-dev/libx11-dev | xlibs-dev (<< 4.3.0)/' \
-	-e 's/libXext6-dev/libxext-dev | xlibs-dev (<< 4.3.0)/' \
-	-e 's/libXi6-dev/libxi-dev | xlibs-dev (<< 4.3.0)/' \
-	-e 's/libXpm4-dev/libxpm-dev | xlibs-dev (<< 4.3.0)/' \
-	-e 's/libICE6-dev/libice-dev | xlibs-dev (<< 4.3.0)/' \
-	-e 's/libSM6-dev/libsm-dev | xlibs-dev (<< 4.3.0)/' \
-	-e 's/libGL1-dev/xlibmesa-gl-dev | xlibs-dev (<< 4.3.0)/' \
-	-e 's/libGLU1-dev/xlibmesa-glu-dev | xlibs-dev (<< 4.3.0)/' \
-	-e 's/libcrypt1-dev//' \
-	-e 's/libcrypt1\.1-dev//' \
-	-e 's/libdl2-dev//' \
-	-e 's/libdl2.1-dev//' \
-	-e 's/libm6-dev//' \
-	-e 's/libm6.1-dev//' \
-	-e 's/libm1-dev//' \
-	-e 's/libnsl1-dev//' \
-	-e 's/libnsl1\.1-dev//' \
-	-e 's/libpthread0-dev//' \
-	-e 's/libpthread0\.3-dev//' \
-	-e 's/libpthread.*-dev/libpthread-dev/' \
-	-e 's/libresolv2-dev//' \
-	-e 's/libglib-1.2-0-dev/libglib1.2-dev/' \
-	-e 's/libgthread-1.2-0-dev/libglib1.2-dev/' \
-	-e 's/libgmodule-1.2-0-dev/libglib1.2-dev/' \
-	-e 's/libgtk-1.2-0-dev/libgtk1.2-dev/' \
-	-e 's/libpam0-dev/libpam0g-dev/' \
-	-e 's/libgdk-1.2-0-dev/libgtk1.2-dev/' \
-	-e 's/libz1-dev/zlib1g-dev/' \
-	-e 's/libgcc_s1-dev//' \
-        -e 's/libcrypto.*-dev/libssl-dev/' \
-        -e 's/libssl.*-dev/libssl-dev/' \
-	-e 's/libcomerr2//' \
-	-e 's/libcom_err2-dev/comerr-dev/' \
-	-e 's/libgssapi_krb5-2-dev/libkrb5-dev/' \
-	-e 's/libk5crypto3-dev/libkrb5-dev/' \
-	-e 's/libkrb5-3-dev/libkrb5-dev/' \
-	-e 's/libparted-1.6-0-dev/libparted1.6-dev/' \
-	-e 's/libSDL-1.2-0-dev/libsdl1.2-dev/' \
-	-e 's/libvorbis0-dev/libvorbis-dev/' \
-	-e 's/libcrack2-dev/cracklib2-dev/' \
-	-e 's/libkrb1-dev/kerberos4kth-dev/' \
-	-e 's/libtheora0-dev/libtheora-dev/' \
-	-e 's/libvorbisenc2-dev/libvorbis-dev/' \
-	-e 's/libogg0-dev/libogg-dev/' \
-	-e 's/libspeex1-dev/libspeex-dev/' \
-	-e 's/librt1-dev//' \
-
-
-}
-
-
-function validate_package () {
-# validate if package foo exists, this relies on apt.
-    if [ -z "$1" ]; then 
-	# ignore empty.
-	return;
-    fi
-    if grep "^Package: $1\$" debian/control > /dev/null 2> /dev/null ; then
-	# ignore package that is going to be created.
-	echo " --> $1 package from same source package." >&2 
-	return
-    fi
-    case $(echo $(apt-cache show $1 2> /dev/null| wc -l ) ) in
-	0)
-	    case $(echo $(apt-cache showpkg $1 2> /dev/null | awk ' /^Reverse Provides: $/,/^$/ {if ($0 !~ /:/) {print $0}}' | wc -l) ) in
-		0) 
-		    echo "devlibs error: There is no package matching [$1] and noone provides it, please report bug to d-shlibs maintainer" >&2
-		    return 1;;
-		*) echo " --> $1 is provided by a package." >&2 ;;
-	    esac;;
-	*) echo " --> $1 package exists." >&2 ;;
-    esac
-    return 0;
-}
-
-if [ -z "$2" ]; then
-    echo "$0: Please read manpage for help, not enough options given"
-    exit 1
-fi
-
-OUTPUTFILE="$1"
-shift;
-
-DEPENDS=""
-for A in $*; do
-    # let shell do the delimiting of objdump output./
-    DEPENDS="$DEPENDS $(set -o pipefail; objdump -p ${A} |sed -n 's/^.*NEEDED *//p')"
-done
-
-outputtmp=$(tempfile)
-(
-    set -e
-    if [ -f "$OUTPUTFILE" ] ; then
-	if grep -v "^devlibs:Depends=" "$OUTPUTFILE"; then
-	    :
-	fi
-    fi
-    printf "devlibs:Depends="
-    for A in $DEPENDS; do #DEPENDS is a space-delimited thing.
-	getname "$A"
-	echo $RETURN-dev | overridedevlibdeps
-    done | \
-	sort | \
-	uniq | \
-	while read B; do
-	    # abuse that only first part of multi-entry overrides is considered
-	    if validate_package $B ; then
-		printf "%s " $B ;
-	    else
-		echo "ERROR_DEVLIB "
-	    fi
-    done | sed -e 's/\([a-z0-9)]\) \+\([a-z]\)/\1, \2/g' -e 's/ \+/ /g' -e 's/^ //' -e 's/ $//'
-    printf "\n"
-) > "${outputtmp}"
-
-if grep "ERROR_DEVLIB" "$outputtmp" > /dev/null; then
-    exit 1
-fi
-
-mv "${outputtmp}" $OUTPUTFILE

=== removed file 'debian/d-devlibdeps.diff'
--- debian/d-devlibdeps.diff	2006-07-15 12:07:32 +0000
+++ debian/d-devlibdeps.diff	1970-01-01 00:00:00 +0000
@@ -1,10 +0,0 @@
---- d-devlibdeps	2006-07-01 07:04:26.000000000 +0200
-+++ /home/jonas/src/SVNauth/pkg-icecast/libshout/debian/d-devlibdeps	2006-07-15 14:21:32.000000000 +0200
-@@ -85,6 +85,7 @@
- 	-e 's/libtheora0-dev/libtheora-dev/' \
- 	-e 's/libvorbisenc2-dev/libvorbis-dev/' \
- 	-e 's/libogg0-dev/libogg-dev/' \
-+	-e 's/libspeex1-dev/libspeex-dev/' \
- 	-e 's/librt1-dev//' \
- 
- 

=== removed file 'debian/d-shlibmove'
--- debian/d-shlibmove	2011-11-29 20:04:20 +0000
+++ debian/d-shlibmove	1970-01-01 00:00:00 +0000
@@ -1,213 +0,0 @@
-#!/bin/bash
-#   d-shlibmove -- move shared library files around for Debian packaging
-#   Copyright (C) 2002, 2005 Junichi Uekawa
-#
-#   This program is free software; you can redistribute it and/or modify
-#   it under the terms of the GNU General Public License as published by
-#   the Free Software Foundation; either version 2 of the License, or
-#   (at your option) any later version.
-#
-#   This program is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#   GNU General Public License for more details.
-#
-#   You should have received a copy of the GNU General Public License
-#   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-# 2002 Apr 23. Created.
-#   automatic packaging of libtool-created library packages.
-
-# from d-shlibs package
-
-set -e
-
-function getname () {
-    local SONAMELIBNAME
-    local SONAMEVERSION
-    local SONAME
-    SONAME="$1"
-    SONAMELIBNAME=$(echo $SONAME | sed 's/\.so\..*$//')
-    SONAMEVERSION=$(echo $SONAME | sed 's/^.*\.so\.//')
-    case "$SONAMELIBNAME" in
-	*[0-9])
-	    RETURN="$SONAMELIBNAME-$SONAMEVERSION"
-	    ;;
-	*)
-	    RETURN="$SONAMELIBNAME$SONAMEVERSION"
-	    ;;
-    esac
-}
-
-
-
-function readlibnameinfo () {
-    LIBNAME="$1"
-    
-    if  [ -z "$1" ] || ! echo "$1" | grep ".so$" > /dev/null ; then 
-	echo "$0: [$1] is not a valid shared library file name " >&2 
-	exit 1;	
-    fi
-    
-    if [ ! -h "$1" ]; then
-	echo "$0: expected [$1] to be a symlink, but it is not" >&2
-	exit 1;
-    fi
-    
-    SONAME=$(set -o pipefail; objdump -p ${LIBNAME} |sed -n 's/^.*SONAME *//p' )
-    getname "$SONAME"
-    SONAMEPKGNAME="$RETURN"
-    PK=$(basename "$1" | sed 's/\.so$//')
-    REALSO=$(readlink -f "${LIBNAME}")
-}
-
-function check_line () {
- # check line
-    local PKGNAME="$1"
-    local ENTRYLINE="$2"
-    
-    if ! awk '/^Package:.*'"$PKGNAME"'/,/^$/{print}' "$CONTROL" | \
-	grep "$ENTRYLINE"  > /dev/null; then
-	echo "E: line [$ENTRYLINE] not found in $CONTROL section for $PKGNAME"
-	# set this error signifier to true
-	CHECK_ERROR=true
-    fi
-}
-
-echo "Library package automatic movement utility"
-
-CONTROL=debian/control
-
-execscript=$(tempfile)
-INSTALLFILE_SHLPKG=$(tempfile)
-INSTALLFILE_DEVPKG=$(tempfile)
-cat > ${execscript} <<EOF
-set -e
-EOF
-
-DEVLIB_TO_CHECK=
-SUFFIX=
-DEVSUFFIX=
-C102=
-
-DOIT=no
-while [ -n "$1" ]; do
-    case $1 in
-	--moveshl)
-	    echo "$2 $3" >> "${INSTALLFILE_SHLPKG}"
-	    shift; shift; shift;
-	    ;;
-	--movedev)
-	    echo "$2 $3" >> "${INSTALLFILE_DEVPKG}"
-	    shift; shift; shift;
-	    ;;
-	--movedevdoc)
-	    echo "$2 usr/share/doc/\${PKGDEV}" >> "${INSTALLFILE_DEVPKG}"
-	    shift; shift;
-	    ;;
-	--commit)
-	    DOIT=yes
-	    shift;
-	    ;;
-	--extralib)
-	    readlibnameinfo "$2"
-	    DEVLIB_TO_CHECK="${DEVLIB_TO_CHECK} $2"
-	    echo "$(dirname $2)/${PK}.a usr/lib"  >> "${INSTALLFILE_DEVPKG}"
-	    echo "$(dirname $2)/${PK}.la usr/lib || true"  >> "${INSTALLFILE_DEVPKG}"
-	    echo "$(dirname $2)/${PK}.so usr/lib"  >> "${INSTALLFILE_DEVPKG}"
-	    echo "$(dirname ${REALSO})/${SONAME}  usr/lib"  >> "${INSTALLFILE_SHLPKG}"
-	    echo "${REALSO} usr/lib" >> "${INSTALLFILE_SHLPKG}"
-	    
-	    shift; shift;
-	    ;;
-	--shlibs-local)
-	    shift;
-	    SHLIBSLOCALVER="$1";
-	    shift;
-	    ;;
-	--suffix)
-	    shift;
-	    SUFFIX="$1";
-	    shift;
-	    ;;
-	--devsuffix)
-	    shift;
-	    DEVSUFFIX="$1";
-	    shift;
-	    ;;
-	--c102)
-	    C102="c102"
-	    shift;;
-	--|*)
-	    break;
-	    ;;
-    esac
-done
-
-DEVLIB_TO_CHECK="${DEVLIB_TO_CHECK} $1"
-readlibnameinfo "$1"
-PKGDEV="${SONAMEPKGNAME}${DEVSUFFIX}-dev"
-PKGSHL="${SONAMEPKGNAME}${SUFFIX}${C102}"
-
-INSTALLDIR="install -d -m 755 "
-echo "${INSTALLDIR} debian/${PKGDEV}/usr/lib" >> "$execscript"
-echo "${INSTALLDIR} debian/${PKGSHL}/usr/lib"  >> "$execscript"
-echo "mv $(dirname $1)/${PK}.a debian/${PKGDEV}/usr/lib"  >> "$execscript"
-echo "mv $(dirname $1)/${PK}.la debian/${PKGDEV}/usr/lib || true"  >> "$execscript"
-echo "mv $(dirname $1)/${PK}.so debian/${PKGDEV}/usr/lib"  >> "$execscript"
-echo "mv $(dirname ${REALSO})/${SONAME} debian/${PKGSHL}/usr/lib"  >> "$execscript"
-echo "mv ${REALSO} debian/${PKGSHL}/usr/lib"  >> "$execscript"
-
-if [ -n "${SHLIBSLOCALVER}" ]; then 
-    echo "echo \"${SONAMELIBNAME} ${SONAMEVERSION} ${PKGSHL} (>= ${SHLIBSLOCALVER})\" >> debian/shlibs.local" >> "$execscript"
-fi
-
-bash debian/d-devlibdeps debian/"${PKGDEV}".substvars "${DEVLIB_TO_CHECK}"
-
-#do some definition for the file.
-echo "PKGDEV=${PKGDEV}" >> "${execscript}"
-echo "PKGSHL=${PKGSHL}" >> "${execscript}"
-
-#do the extra files
-cat "${INSTALLFILE_SHLPKG}" | while read A B; do
-    echo "${INSTALLDIR} debian/${PKGSHL}/${B}" >> "${execscript}"
-    echo "mv ${A} debian/${PKGSHL}/${B}" >> "${execscript}"
-done
-cat "${INSTALLFILE_DEVPKG}" | while read A B; do
-    echo "${INSTALLDIR} debian/${PKGDEV}/${B}" >> "${execscript}"
-    echo "mv ${A} debian/${PKGDEV}/${B}" >> "${execscript}"
-done
-
-cat "${execscript}"
-
-# check the syntax of the control file.
-CHECK_ERROR=false
-
-check_line "${PKGDEV}" "Provides:.*${PK}-dev"
-check_line "${PKGDEV}" "Conflicts:.*${PK}-dev"
-check_line "${PKGSHL}" "Section: libs" 
-if [ -n "${SUFFIX}" ]; then
-    check_line "${PKGSHL}" "Conflicts: ${SONAMEPKGNAME}" 
-fi
-if [ -n "${C102}" ]; then
-    check_line "${PKGSHL}" "Conflicts: ${SONAMEPKGNAME}${SUFFIX}" 
-fi
-check_line "${PKGDEV}" "Section: \(devel\|libdevel\)" 
-check_line "${PKGDEV}" "Depends:.*${PKGSHL}" 
-check_line "${PKGSHL}" "Depends:.*[$]{shlibs:Depends}"
-
-if [ "${CHECK_ERROR}" = "true" ]; then
-    echo "Error occurred, aborting" >&2
-    exit 1
-fi
-
-if [ "${DOIT}" = "yes" ]; then
-    sh "${execscript}"
-else
-    echo "Dry-run. If you are satisfied, run with --commit"
-    exit 1
-fi
-rm -f "${execscript}" "${INSTALLFILE_DEVPKG}"" ${INSTALLFILE_SHLPKG}"
-
-exit 0

=== removed file 'debian/d-shlibmove.diff'
--- debian/d-shlibmove.diff	2006-07-15 12:07:32 +0000
+++ debian/d-shlibmove.diff	1970-01-01 00:00:00 +0000
@@ -1,11 +0,0 @@
---- d-shlibmove	2006-07-01 07:04:26.000000000 +0200
-+++ /home/jonas/src/SVNauth/pkg-icecast/libshout/debian/d-shlibmove	2006-05-28 18:51:07.000000000 +0200
-@@ -163,7 +163,7 @@
-     echo "echo \"${SONAMELIBNAME} ${SONAMEVERSION} ${PKGSHL} (>= ${SHLIBSLOCALVER})\" >> debian/shlibs.local" >> "$execscript"
- fi
- 
--d-devlibdeps debian/"${PKGDEV}".substvars "${DEVLIB_TO_CHECK}"
-+bash debian/d-devlibdeps debian/"${PKGDEV}".substvars "${DEVLIB_TO_CHECK}"
- 
- #do some definition for the file.
- echo "PKGDEV=${PKGDEV}" >> "${execscript}"

=== modified file 'debian/libshout3-dev.install'
--- debian/libshout3-dev.install	2006-07-15 12:07:32 +0000
+++ debian/libshout3-dev.install	2011-12-17 20:25:38 +0000
@@ -1,2 +1,2 @@
-debian/tmp/usr/lib/pkgconfig/*
+debian/tmp/usr/lib/*/pkgconfig/*
 debian/tmp/usr/share/aclocal/shout.m4

=== modified file 'debian/rules'
--- debian/rules	2011-11-29 20:04:20 +0000
+++ debian/rules	2011-12-17 20:33:47 +0000
@@ -6,15 +6,14 @@
 ifneq ($(DEB_MAINTAINER_BUILD),)
   # Maintainer mode build, enable optional operations
   DEB_COPYRIGHT_CHECK_STRICT = yes
-  DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes
 endif
 
+DH_COMPAT = 8.1.3
 # See debian/README.cdbs-tweaks for info on local overrides
 include debian/cdbs/1/rules/upstream-tarball.mk
 include debian/cdbs/1/rules/copyright-check.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include debian/cdbs/1/rules/buildinfo.mk
 
 pkg = libshout
 DEB_UPSTREAM_PACKAGE = $(pkg)
@@ -23,24 +22,14 @@
 
 DEB_INSTALL_EXAMPLES_libshout3-dev = examples/example.c
 
+DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
 common-binary-post-install-arch::
-	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/libshout.la
-#	d-devlibdeps debian/libshout3-dev.substvars debian/tmp/usr/lib/libshout.so
-#	d-shlibmove --commit --movedev "debian/tmp/usr/include/*" usr/include/ debian/tmp/usr/lib/libshout.so
-	bash debian/d-devlibdeps debian/libshout3-dev.substvars debian/tmp/usr/lib/libshout.so
-	bash debian/d-shlibmove --commit --movedev "debian/tmp/usr/include/*" usr/include/ debian/tmp/usr/lib/libshout.so
+	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libshout.la
+	d-devlibdeps debian/libshout3-dev.substvars debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libshout.so
+	d-shlibmove --commit --multiarch --movedev "debian/tmp/usr/include/*" usr/include/ debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libshout.so
 
 clean::
 	rm -f debian/libshout3.install debian/libshout3-dev.examples debian/Makefile.am debian/Makefile.in
-
-
-# Upstream requirements
-CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), libogg-dev (>> 1.0.0), libvorbis-dev (>> 1.0.0), pkg-config, libtheora-dev (>> 0.0.0.alpha4), libspeex-dev
-
-# Packaging requirements
-CDBS_BUILD_DEPENDS := $(CDBS_BUILD_DEPENDS), d-shlibs (>= 0.18)
-
-# Fix double cdbs build-dependencies
-CDBS_BUILD_DEPENDS := $(shell echo '$(CDBS_BUILD_DEPENDS)' | sed -e '/\bcdbs (>= 0.4.39)/ s/ *,* *\bcdbs (>= \(0.4.23-1.1\|0.4.27\)) *,* */, /g' -e 's/^ *, *//' -e 's/ *, *$$//')


--- End Message ---
--- Begin Message ---
Source: libshout
Source-Version: 2.2.2-8

We believe that the bug you reported is fixed in the latest version of
libshout, which is due to be installed in the Debian FTP archive:

libshout3-dev_2.2.2-8_amd64.deb
  to main/libs/libshout/libshout3-dev_2.2.2-8_amd64.deb
libshout3_2.2.2-8_amd64.deb
  to main/libs/libshout/libshout3_2.2.2-8_amd64.deb
libshout_2.2.2-8.debian.tar.gz
  to main/libs/libshout/libshout_2.2.2-8.debian.tar.gz
libshout_2.2.2-8.dsc
  to main/libs/libshout/libshout_2.2.2-8.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [email protected],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <[email protected]> (supplier of updated libshout package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [email protected])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 15 Feb 2012 18:27:53 +0100
Source: libshout
Binary: libshout3-dev libshout3
Architecture: source amd64
Version: 2.2.2-8
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers 
<[email protected]>
Changed-By: Alessio Treglia <[email protected]>
Description: 
 libshout3  - MP3/Ogg Vorbis broadcast streaming library
 libshout3-dev - MP3/Ogg Vorbis broadcast streaming library (development)
Closes: 652504
Changes: 
 libshout (2.2.2-8) unstable; urgency=low
 .
   * Team upload.
 .
   [ Alessio Treglia ]
   * Introduce MultiArch support. Thanks to Steve Langasek for
     the original patch: (Closes: #652504)
     - debian/control:
       + Bump cdbs minimum requirement to 0.4.93~.
       + Don't build-depend on dh-buildinfo, which is non multiarch-safe.
       + Regenerate.
     - debian/rules:
       + Move pkgconfig files into multiarch path.
       + Don't set DH_COMPAT in debian/rules.
 .
   [ Jonas Smedegaard ]
   * Add README.source, documenting use of git-buildpackage and CDBS
     (replacing README.cdbs-tweaks).
Checksums-Sha1: 
 21ae5b41f8a85a34b068ccf8697eead7f86766e6 2207 libshout_2.2.2-8.dsc
 d7ddaf12f47cc9ad5cb83f7001b9d7a1cb9f367d 13197 libshout_2.2.2-8.debian.tar.gz
 211c12016cbe85a0e12377d9071e43bf3b1cff03 45560 libshout3-dev_2.2.2-8_amd64.deb
 9188105992bcbb784bbd8d308bfa7f206267a2af 40920 libshout3_2.2.2-8_amd64.deb
Checksums-Sha256: 
 f77399baa37485a69e93eaf0d5198ea5440c55e95dc7b1148cfc23bf46f0db05 2207 
libshout_2.2.2-8.dsc
 9b4719e6814c474b1e3e60157d382b09e1bcb285775b4869b4445348ff85f98d 13197 
libshout_2.2.2-8.debian.tar.gz
 02243e5eab5337b5fb991c3e25566c1b7cd3b2c63e5aba638b883d9bd7c6a8ce 45560 
libshout3-dev_2.2.2-8_amd64.deb
 cdff48d3e08ff2ff315e9a449054ede4f367be515ab86f9210f3075480736f65 40920 
libshout3_2.2.2-8_amd64.deb
Files: 
 8a42623b7ec67c4b4a898c49fa065769 2207 libs optional libshout_2.2.2-8.dsc
 6b959d81d5ff3d82bac01a0294c19cab 13197 libs optional 
libshout_2.2.2-8.debian.tar.gz
 5d2dc5c9bff4fdf2dd9739c61f336e2d 45560 libdevel optional 
libshout3-dev_2.2.2-8_amd64.deb
 4f95ae043ba2c3827b12c5072a57ccb5 40920 libs optional 
libshout3_2.2.2-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPO+yYAAoJEOikiuUxHXZalxEQAJrZVwsnrFt/g54L7jzfBrxg
4iJ7OQCSC/tfEh5100JJYbJAL+ymqyDiVx59kxm0XHnPi4Wrbpoy4cpE9nji7GdF
kqL3bZGf0IlJA2lXVvH8lOkUXauExYyiOFQj71+9BhSSdeBkadmrtVUoHMVugY9Y
hoiodFQOHrlOSzAWMs9GP6yc3LXJ29Sph9NcVQiG0ETtzo/q23LzJY1veFwBDVQq
0hBQ/aO8od/nrtK2wPVgEGydxfG1qYljNCoFVgEjP4fUwirX0dkd/P5T2YFOxmL9
hRiErJoCjRkHYFgAxidlsvsYB4btv5b2HZgIB/UKEowdTOSCAWwLJwwDzYB/Ljfw
+lgTanLVOk95T+tjVE4Oniy2ymqKiIJ7duISmGYdiY7zEKbuG3u8WX+/EMiDeKGa
T1xmR2AqEg8GmVYIQE4yxpKCxKncX0hoOrRqmy8IUgdMpxJAFrHpkKlreb3YAEOO
3O4hbntlsStatpV2AuPGBh9f2ueO3drIlHXhIB1LYs6MB2mKa5oWjTG0XAsaGEGb
DFDdNj5pZjpX+IC/LNyaCvvMw6AQQ36jo2xSckZ7avCKqweVLRjt2N71ajOdDivX
8lyzYIAevH4sRvyktS3B9aWFtr5Sv8EWn/JHwq30kEd3oMdXOmIdHmLScM7mJ/LL
4pMYhkxooo7bby/qnTk5
=JSwi
-----END PGP SIGNATURE-----



--- End Message ---

Reply via email to